%define major 		5
%define gmajor		1.0
%define libname		%mklibname qmi-glib %{major}
%define girname		%mklibname qmi-gir %{gmajor}
%define develname	%mklibname qmi-glib -d

%bcond_with gtkdoc

Name:		libqmi
Version:	1.30.0
Release:	%mkrel 1
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.freedesktop.org/wiki/Software/libqmi/
Source:		https://www.freedesktop.org/software/libqmi/libqmi-%{version}.tar.xz
Patch0:		libqmi-optional-gtk-doc.patch
BuildRequires:	autoconf-archive
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64mbim-glib-devel
BuildRequires:	lib64girepository-devel

%description
libqmi is a glib-based library for talking to WWAN modems and devices which
speak the Qualcomm MSM Interface (QMI) protocol.

%package -n	%{libname}
Summary:	Qualcomm MSM Interface (QMI) protocol helper library
Group:		System/Libraries
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the libraries that make it easier to use QMI functionality
from applications that use glib.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	qmi-devel = %{version}-%{release}
Provides:	qmi-glib-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header and pkg-config files for development
applications using QMI functionality from applications that use glib.

%package utils
Summary:	QMI protocol command line utilities
Group:		System/Base
License:	GPLv2+

%description utils
This package contains the utilities that make it easier to use QMI functionality
from the command line.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--enable-gtk-doc=%{?with_gtkdoc:yes}%{?!with_gtkdoc:no} \
	--disable-static \
	--with-udev-base-dir=/lib/udev \
	--enable-mbim-qmux
%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%{_libdir}/%{name}-glib.so.%{major}*
%{_libdir}/girepository-1.0/Qmi-%{gmajor}.typelib

%files -n %{develname}
%if %{with gtkdoc}
%doc %{_datadir}/gtk-doc/html/libqmi-glib/
%endif
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/qmi-glib.pc
%{_datadir}/gir-1.0/Qmi-%{gmajor}.gir

%files utils
%{_bindir}/qmicli
%{_bindir}/qmi-firmware-update
%{_bindir}/qmi-network
%{_datadir}/bash-completion/completions/qmicli
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/qmicli.1*
%{_mandir}/man1/qmi-firmware-update.1*
%{_mandir}/man1/qmi-network.1*


%changelog
* Fri Aug 27 2021 tex - 1.30.0-1pclos2021
- new version

* Sun Jun 20 2021 tex -  1.28.6-2pclos2021
- rebuild against updates

